/*
 * Copyright (c) 2007 NTT DATA Corporation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package jp.terasoluna.batch.functionsample.common;

/**
 * 請求情報のパラメータクラス
 */
public class SeikyuData {

    /**
     * 支社コード
     */
    private String branchcd;
    
    /**
     * 担当者ID
     */
    private String tantosyaid;
    
    /**
     * 取引先名
     */
    private String custname;
    
    /**
     * 請求月
     */
    private String seikyutuki;
    
    /**
     * 請求額
     */
    private int seikyugaku;
    
    /**
     * 支社コードを返却する。
     * @return 支社コード
     */
    public String getBranchcd() {
        return branchcd;
    }
    
    /**
     * 支社コードを設定する。
     * @param branchcd 設定する支社コード
     */
    public void setBranchcd(String branchcd) {
        this.branchcd = branchcd;
    }
    
    /**
     * 取引先名を返却する。
     * @return 取引先名
     */
    public String getCustname() {
        return custname;
    }
    
    /**
     * 取引先名を設定する。
     * @param custname 設定する取引先名
     */
    public void setCustname(String custname) {
        this.custname = custname;
    }
    
    /**
     * 請求額を返却する。
     * @return 請求額
     */
    public int getSeikyugaku() {
        return seikyugaku;
    }
    
    /**
     * 請求額を設定する。
     * @param seikyusyono 設定する請求額
     */
    public void setSeikyugaku(int seikyusyono) {
        this.seikyugaku = seikyusyono;
    }
    
    /**
     * 請求月を返却する。
     * @return 請求月
     */
    public String getSeikyutuki() {
        return seikyutuki;
    }
    
    /**
     * 請求月を設定する。
     * @param seikyutuki 設定する請求月
     */
    public void setSeikyutuki(String seikyutuki) {
        this.seikyutuki = seikyutuki;
    }
    
    /**
     * 担当者IDを返却する。
     * @return 担当者ID
     */
    public String getTantosyaid() {
        return tantosyaid;
    }
    
    /**
     * 担当者IDを設定する。
     * @param tantosyaid 設定する担当者ID
     */
    public void setTantosyaid(String tantosyaid) {
        this.tantosyaid = tantosyaid;
    }
    
}
